import * as $dara from '@darabonba/typescript';
import { GetRouteTargetGroupResponseBody } from "./GetRouteTargetGroupResponseBody";
export declare class GetRouteTargetGroupResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetRouteTargetGroupResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
